Ask to read production values
POST
Open a browser approval (RFC 8628 shape) that lets THIS key read production values for 10 minutes. Open verification_uri_complete, where an owner or admin of the key's workspace allows it; poll POST /api/v1/external/coding/cli/production-access/token every interval seconds.
CustomerApiKeyheader
AuthorizationBearer <API Key>Customer API key sent as a bearer token
application/json- body
client_name?|nullhost?|nullRequest fulfilled, document follows
application/json- response
device_code*stringexpires_in*integerinterval*integeruser_code*stringverification_uri*stringverification_uri_complete*stringcurl -X POST 'https://api.syndai.ai/api/v1/external/coding/cli/production-access' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "device_code": "string", "expires_in": 0, "interval": 0, "user_code": "string", "verification_uri": "string", "verification_uri_complete": "string"}